# Variable reference`Const`

reference: {
fission(settings: Configuration & {
crypto?: Crypto.Implementation;
manners?: Manners.Implementation;
staging?: boolean;
storage?: Storage.Implementation;
}): Promise<Reference.Implementation>;
} = ...

Predefined reference configurations.

The reference component is responsible for looking up and updating various pointers. Specifically, the data root, a user's DID root, DNSLinks, DNS TXT records. It also holds repositories (see `Repository` class), which contain UCANs and CIDs.

NOTE: If you're using a non-default component, you'll want to pass that in here as a parameter as well. Dependencies: crypto, manners, storage.

#### Type declaration

- ##### fission:function

  - fission(settings: Configuration & {
    crypto?: Crypto.Implementation;
    manners?: Manners.Implementation;
    staging?: boolean;
    storage?: Storage.Implementation;
    }): Promise<Reference.Implementation>

  - Use the Fission servers as your reference.

    #### Parameters

    - ##### settings: Configuration & {
      crypto?: Crypto.Implementation;
      manners?: Manners.Implementation;
      staging?: boolean;
      storage?: Storage.Implementation;
      }

    #### Returns Promise<Reference.Implementation>

    - Defined in index.ts:288

- Defined in index.ts:284

Generated using TypeDoc